Package com.io7m.idstore.shell.admin.internal

# Class IdAShellCmdLogin

java.lang.Object
com.io7m.idstore.shell.admin.internal.IdAShellCmdLogin

All Implemented Interfaces:
  `IdAShellCmdType`, `com.io7m.quarrel.core.QCommandOrGroupType`, `com.io7m.quarrel.core.QCommandType`

public final class IdAShellCmdLogin extends Object implements IdAShellCmdType
"login"

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAShellCmdLogin(IdAClientSynchronousType inClient)`
  Construct a command.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.jline.reader.Completer`
  `completer()`
  `com.io7m.quarrel.core.QCommandMetadata`
  `metadata()`
  `com.io7m.quarrel.core.QCommandStatus`
  `onExecute(com.io7m.quarrel.core.QCommandContextType context)`
  `List<com.io7m.quarrel.core.QParameterNamedType<?>>`
  `onListNamedParameters()`
  `com.io7m.quarrel.core.QParametersPositionalType`
  `onListPositionalParameters()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.quarrel.core.QCommandOrGroupType

  `isHidden`

- ## Constructor Details

  - ### IdAShellCmdLogin

    public IdAShellCmdLogin(IdAClientSynchronousType inClient)
    Construct a command.
    Parameters:
      `inClient` - The client

- ## Method Details

  - ### completer

    public org.jline.reader.Completer completer()
    Specified by:
      `completer` in interface `IdAShellCmdType`
    Returns:
      A shell command completer for the command

  - ### onListNamedParameters

    public List<com.io7m.quarrel.core.QParameterNamedType<?>> onListNamedParameters()
    Specified by:
      `onListNamedParameters` in interface `com.io7m.quarrel.core.QCommandType`

  - ### onListPositionalParameters

    public com.io7m.quarrel.core.QParametersPositionalType onListPositionalParameters()
    Specified by:
      `onListPositionalParameters` in interface `com.io7m.quarrel.core.QCommandType`

  - ### onExecute

    public com.io7m.quarrel.core.QCommandStatus onExecute(com.io7m.quarrel.core.QCommandContextType context) throws Exception
    Specified by:
      `onExecute` in interface `com.io7m.quarrel.core.QCommandType`
    Throws:
      `Exception`

  - ### metadata

    public com.io7m.quarrel.core.QCommandMetadata metadata()
    Specified by:
      `metadata` in interface `com.io7m.quarrel.core.QCommandOrGroupType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`